/* nested expr test */

int i,j,k,l,m;
int a[15];
int (*f0)();
int f1(int i){}
int f2(int i, int j){}
int f3(int i, int j, int k){}
typedef int (*pf)(int);
struct S{int mem;} s, *ps;

void ff() {
  int **ppi;
  pf pfa[5];
  pfa[3](4);
  f1(a[5]);
  f1(s.mem);
  f1(s.mem)+(1+1);
  i=f1(a[5]) + f3(f1(pfa[5](14)), **ppi, *&(s.mem));
  i = i = (1, 2);
  i = i = a[5];
  i = ps->mem = s.mem;
}


